/*-
 * ============LICENSE_START=======================================================
 * ONAP CLAMP
 * ================================================================================
 * Copyright (C) 2020 Huawei Technologies Co., Ltd.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 * ================================================================================
 *
 */

package org.onap.clamp.clds.client;

import com.google.gson.JsonObject;
import java.io.IOException;
import org.junit.Test;
import org.onap.clamp.clds.util.JsonUtils;
import org.onap.clamp.clds.util.ResourceFileUtils;
import org.skyscreamer.jsonassert.JSONAssert;

public class CdsServicesTest {

    @Test
    public void testParseCdsListTypeProperties() throws IOException {
        String cdsResponse = ResourceFileUtils
                .getResourceAsString("example/cds-response/vFW-CDS-resource-assignment-workflow.json");
        CdsServices services = new CdsServices();
        JsonObject output = services.parseCdsResponse(cdsResponse);
        JSONAssert.assertEquals(ResourceFileUtils
                .getResourceAsString("example/cds-response/vFW-CDS-resource-assignment-wf-expected-result.json"),
                        JsonUtils.GSON.toJson(output), true);
    }

    @Test
    public void testParseCdsResponse() throws IOException {
        String cdsResponse = ResourceFileUtils
                .getResourceAsString("example/cds-response/vFW-CDS-modify-config-workflow.json");
        CdsServices services = new CdsServices();
        JsonObject output = services.parseCdsResponse(cdsResponse);
        JSONAssert.assertEquals(ResourceFileUtils
                .getResourceAsString("example/cds-response/vFW-CDS-modify-config-wf-expected-result.json"),
                        JsonUtils.GSON.toJson(output), true);
    }

}